<link rel="import" href="../polymer/polymer-element.html">
<link rel="import" href="../paper-button/paper-button.html">
<link rel="import" href="../hijo-b/hijo-b.html">
<link rel="import" href="../hijo-c/hijo-c.html">
<dom-module id="padre-a">
  <template>
      <style>
        :host {
          display: block;
        }
      </style>
 

        <div>
            <h2>[[title]]</h2>
            <p>[[descripcion]]</p>
           
            <paper-button on-click="_visiblea" raised>Boton 1</paper-button>
            <paper-button on-click="_visibleb" raised>Boton 2</paper-button>
        </div>
           
      <div>
      <div>
          <template is="dom-if" if="[[form1]]">
              <hijo-b></hijo-b>
          </template>
          <template is="dom-if" if="[[form2]]">
              <hijo-c></hijo-c>
          </template>
      </div>

  </template>


  <script>
    /**
     * `padre-a`
     * Padre A
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class PadreA extends Polymer.Element {
      static get is() { return 'padre-a'; }
      static get properties() {
        return {
          title: {
            type: String,
            value: 'Hola'
          },
          descripcion:{
            type: String,
            value: 'Este en un ejemplo de polymer que oculta componentes'
          },
          dataB:{
            type:Boolean,
            value:true
          },
          dataC:{
            type:Boolean,
            value:true
          },
          form1:{
            type: Boolean,
            value: false
          },
          form2:{
            type: Boolean,
            value: false
          }
        };
      }
      _visiblea(){
        this.form1= true;
        this.form2= false;

      }
      _visibleb(){
        this.form2= true;
        this.form1= false;
      }
          
    }

    window.customElements.define(PadreA.is, PadreA);
  </script>
</dom-module>
